import { EventFragment } from "@/gql/graphql";
import { EventItem } from "./EventItem";
import styles from "./featuredEvents.module.scss";

export const FeaturedEvents = ({ events }: { events: EventFragment[] }) => {
  return (
    <section>
      <h2 className="circlehead">
        <span className="circle"></span>
        <span className="circle"></span>
        <span className="circle"></span>
        Arrangementer
      </h2>
      <ul className={styles.eventList}>
        {events.slice(0, 3).map((event) => (
          <EventItem key={event.id} event={event} mode="list" />
        ))}
      </ul>
    </section>
  );
};
